# Add configuration values here, as shown below.
#
# [app env]
env: "development"

# [database]
database_name: "transaction_api_development"
database_host: "postgres"
database_port: "5432"
database_user: "postgres"
database_password: ""

# [redis]
redis_url: "redis://redis:6379/0"
redis_password: ""
redis_sentinels: ""

# [transactions cache]
cache_conn_pool_size: "25"
cache_timeout_in_sec: "100"

# [sidekiq cache config]
sidekiq_cache_url: "redis://redis:6379/2"

test:
  # [app env]
  env: "development"
  # [database]
  database_name: "transaction_api_test"
  # [redis]
  redis_url: "redis://redis:6379/1"


production:
  # [app env]
  env: "production"
  # [database]
  database_name: "transaction_api"
  database_host: ""
  database_port: ""
  database_user: ""
  database_password: ""
  #[redis]
  redis_url: ""
  redis_password: ""


